/* PROGRAM: spl
 * FILE: main.cpp
 * AUTHOR: Clinton Ebadi<unknown_lamer@users.sourceforge.net>
 * DESCRIPTION:
 * This is the spl driver. It creates the interface,
 * and some other simple elements. The funtions it uses
 * are in the standard libraries, and in spl.h.
 * This program is protected by the GPL version 2
 * or, at your option, any later version. The GPL
 * should be included in the file COPYING included
 * with the source or binaries of the program. If
 * you do not have a copy, one can be gotten from
 * http://www.gnu.org
 */

 #include <iostream>
 #include <string>
 #include <stdlib.h>
 #include "spl.h"
 
 int main(int argc, char *argv[]){
 	int c; // Used in the option switch
 	int delay = 2; // Delays between ops
 	int timeout_delay_ms = 2500; // MS for ncurses input to wait
 	bool ran = false;
 	bool list = true;
 if(argc == 1) // If we got no options
 	showhelp(); // We call help!
 
  while((c=getopt(argc,argv,"d:n:f:l:rpie"))>=0){
  	switch (c){
  		case 'd' : delay = atoi(optarg); break;
  		case 'n' : timeout_delay_ms = atoi(optarg); break;
  		case 'r' : ran = true; break;
  		case 'l' :   interface(optarg,true,ran,timeout_delay_ms,delay); break;
  		case 'f' :   interface(optarg,false,ran,timeout_delay_ms,delay);break;
  		default  : cout << "You suck";
  	};
  }
  return(0);
 }
