#include <mpegsound.h>
#include <unistd.h>
#include <signal.h>

#include "spl.h"

void play_sig(int moo_sig)
{
  /* Catches signal and exits */
  kill(0,SIGHUP);
  wait(NULL);
  exit(0); // Exits
  //pid_t m_pid = getpid();
  //  kill(0,SIGHUP); // Commit suicide
  return;
}


#ifdef PTHREADEDMPEG
static void playfile(Mpegfileplayer *player){
  if(player->geterrorcode()>0)
  	return;
  else{
    player->playingwiththread(0,false,50);
    if(player->geterrorcode()>0)
    	return;
  }
}

#else 
static void playfile(Fileplayer *player){
  if(player->geterrorcode()>0)
  	return;
  else{
    player->playing(0,false);
    if(player->geterrorcode()>0) return;
  }
}
#endif 

int play(const char* name, pid_t &t){ 
 	pid_t u;
 	u = fork(); // Time to fork the program,,,
 	if(u == 0){ // If we are the new kid 
	  /* Reset SIGHUP handler to default */
	  signal(SIGHUP,play_sig);
 		/* Now we have to call the Mpegsound stuff: */

 		Mpegfileplayer *player;
  
  		player=new Mpegfileplayer;
  		if(!player->openfile((char *)name,"/dev/dsp")){
     	 	delete player;
      		exit(1);
    		}
  	playfile(player);
  	delete player;
  	exit(0);
	}
 		
 	else if(u == -1){
 		return(-1);
 		}
 	else{
 		t = u;
 		return(0);
 		}
 	return(0);
 }
