#ifndef _SPL_CPP__
#define _SPL_CPP__

// My defines:
#ifdef VERSION
	#undef VERSION
#endif
#define VERSION "0.5.1 "
#define RELEASE "UNSTABLE" // Can be UNSTABLE, DEBUG, OR PRODUCTION
#define STATUS_X 1  // the X co-ordinate to go to for a status line e.x "Skipping to song blah"
#define STATUS_Y 20 // the Y co-ordinate to go to for a status line. see above example

// My mega long include list
#include "spl.h"
#include <strstream> // look for ploc
#include <sys/wait.h> // waitpid() and other
#include <unistd.h> // forking and execing
#include <iostream.h> // console input output for when ncurses can't be used(help)
#include <vector.h> // vectors(used for the playlist)
#include <string> // STL strings, used for filenames in playlists
#include <fstream.h> // ifstream
#include <ctype.h> // toupper()
#include <signal.h> // kill()
#include <time.h> // Used to seed the random number generator
#include <stdlib.h> // rand()
#include <curses.h> // Ncurses Magic
#include <ctype.h>

// MPEG sound Library
#include <mpegsound.h>


	
/* Some global Variables -- 
 * These are used(or will be used) by a lot of 
 * functions, so I made them global to ease my cleanup of
 * the interface function
 */
 
 
bool cont = false; 
/* Used to see if we need to break the current loop
 * and continue to the next iteration in the switch below
 */

extern vector<string> plist;
 /* This is the playlist that spl will be working on
  */

#ifdef DEBUG
	ofstream dlog("dlog.txt"); // Note: make sure your dir is writeable by you
	static int useful = 0; // I use it somewhere
#endif // DEBUG

void splashScreen(){
	clear();
	move(0,0);
	addstr("Spl version ");
	addstr(VERSION);
	addstr(RELEASE);
	addstr(" edition\n");
	refresh();
	sleep((unsigned) 1);
}


#ifdef HAVE_LIBID3
 void showFileName(const char *filename){
	
	
	char *title,*artist;
	/* getting the tag */
	artist = spl_getartist(filename);
	title  = spl_gettitle(filename);
	
	pid_t pid;
	
	move(1,1);
	clrtoeol();
	addstr("Playing:\n");
	clrtoeol();
	move(3,1);
	clrtoeol();
	move(2,1);
	addstr(artist);
	addstr(" - ");
	addstr(title);
	
	delete artist;
	delete title;
}
 

#else // If the user did not enable id3 support
 void showFileName(const char *filename){
	
	pid_t pid;
	
	move(1,1);
	clrtoeol();
	addstr("Playing:\n");
	clrtoeol();
	move(3,1);
	clrtoeol();
	move(2,1);
	addstr(filename);
	
} 
#endif // ID3_ENABLE

void showhelp(){
	cout << endl;
	cout << "SPLISTER HELP:\n";
	cout << "Spl is a program designed to play\n"
		 << "Mp3s using splay from the console.\n"
		 #ifdef PTHREADEDMPEG
		 << "PTHREAD is enabled\n"
		 #endif
		 << endl
		 << "CopyRight(c) unknown_lamer 2000/2001\n"
		 << "Protected by the GPL version 2"
		 << endl << endl;
	cout << "Command line arguments(implemented):" << endl
		 << "-f filename \t" << "Plays a song with the name filename"
		 << endl;
	cout << "-l listname \t" << "Loads the playlist and plays all of its files"
		 << endl;
	cout << "-r \t\t" << "Randomize the playlist on load"
		 << endl;
	cout << "-d delay \t" << "Set the delay between operations in seconds(integer!) \n \t\tDefault is 2"
		 << endl;
	cout << "-n delay_ms \t" << "Set how long it the interface takes input each loop.\n \t\tDefault 2500ms"
		 << endl;
	return;
}
 
void show_opt_bar(void){
	move(6,15);
	clrtoeol();
	addstr("|  ->  |  []  |  <<  |  >>  |  R!  |  XQ  | \n");
	move(7,15);
	clrtoeol();
	addstr("| Play | Stop | Back | Next | Rand | Quit | \n");
	
}
 		
 		
/* bool getcmd(char option) */


#endif // _SPL_CPP__		