#ifndef _SPL_H__
#define _SPL_H__
/* spl.h
 * funtions used my spl and spe
 */
 
#include<unistd.h>
#include<sys/wait.h>
#include<stdlib.h> 
#include<vector.h>
#include<string>
#include<fstream.h>

void splashScreen();
/* Shows the splash screen for the program */

/* bool getcmd(char option); */
/* Used in interface() to process user options. It is mainly for
 * code cleanup.
 * VARIABLES:
 * option - a single char that contains the option you want to process
 * RETURNS: 
 * a boolean -- whether to continue the for loop or not
 */

void showFileName(const char *filename);
/* This function shows the filename of the
 * file that is currently playing.
 * VARAIBLES:
 * filename - the name of the file that is to be shown
 * WARNING:
 * This function assumes that you have already loaded
 * curses and are in curses mode. This is because it
 * is designed to only be used by spl!
 */

void initlist(vector<string> &o_list,const char *list, bool ran = false);
/* This function initializes a playlist
 * VARIABLES:
 * o_list - the vector our list goes in
 * list - the file name of the list
 * ran - if true, the list is randomized after loading
 * NOTE:
 * You have to make sure the list exists before 
 * passing it to initlist();
 */
 
void showhelp();
/* This function does what it names
 * implies -- it shows the syntax help
 * for spl. 
 */

int play(const char name[], pid_t &t);
 /* This function plays the song
  * of the given name.
  * It returns 0 if the file is played, 
  * -1 if the file cannont be played,
  * 1 if the file is not of the correct
  * extension(mp3 or wav), and 2 if
  * the file cannont be found
  */
  
void fake_vis(pid_t pid);
/* Does some cool stuff with characters..
 * Visualization is impossible with the way
 * spl works, so I did a little fake vis...
 * NOTES:
 * Can use large amounts of cpu power
 */

void show_opt_bar(void);
/* Shows the command bar(play,stop,etc).
 * WARNING:
 * Assumes that curses has been started, and nothing will
 * be using lines 5-11, so don't touch those rows if you
 * edit my code. Also remember to init curses, or bad things(tm)
 * _will_ happen!
 */

void interface(const char filename[], bool list = false,bool ran = false,
				int t_out = 2500, int delay = 2);
 /* Shows the program interface
  * VARIABLES:
  * filename : the filename to be loaded
  * list : true if the filename is a list, false
  *        otherwise
  * ran : do we randomize the playlist?
  * t_out : curses timeout in ms
  * delay : how long to delay ops
  */  
  
// Undocumented id3 functions, I'll document later
char* spl_gettitle(const char *filename);
char* spl_getartist(const char *filename);  
  
  

#endif // _SPL_H__
